# geos::geom::util::CoordinateOperation Class Reference

`#include <CoordinateOperation.h>`

Inheritance diagram for geos::geom::util::CoordinateOperation:

List of all members.

## Public Member Functions

virtual Geometry * | edit (const Geometry *geometry, const GeometryFactory *factory)
virtual CoordinateSequence * | edit (const CoordinateSequence *coordinates, const Geometry *geometry)=0

## Detailed Description

A GeometryEditorOperation which modifies the coordinate list of a Geometry. Operates on Geometry subclasses which contains a single coordinate list.

## Member Function Documentation

virtual Geometry* geos::geom::util::CoordinateOperation::edit | ( | const Geometry * | geometry,
|  | const GeometryFactory * | factory
| ) |  | `[virtual]`

Return a newly created geometry, ownership to caller

Implements geos::geom::util::GeometryEditorOperation.

virtual CoordinateSequence* geos::geom::util::CoordinateOperation::edit | ( | const CoordinateSequence * | coordinates,
|  | const Geometry * | geometry
| ) |  | `[pure virtual]`

Edits the array of Coordinate from a Geometry.

Parameters:

  coordinates | the coordinate array to operate on
  geometry | the geometry containing the coordinate list

Returns:
  an edited coordinate array (which may be the same as the input)

The documentation for this class was generated from the following file:

- CoordinateOperation.h